[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.Memory

Memory - the value stored in the calculator's memory.

## Declaration

Source position: extdlgs.pas line 173

`public property TCalculatorDialog.Memory : Double read FMemory;`

## Description

Memory is a read-only Double property which contains the numeric value stored using the Memory button on the calculator dialog. The value in Memory is passed to the form in DlgForm in the Execute method, and updated when the modal result for the calculator form is mrOk.

## See also

TCalculatorDialog.Execute |  | Creates, configures, and displays the form for the calculator dialog.
TCalculatorForm |  | Implements the form used to display a calculator for a TCalculatorDialog instance.